#{extends 'borderNG.html' /}

<ol class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}">&{'kontrak.paket_tender_ppk'}</a></li>
	<li><a href="@{lelang.KontrakCtr.sppbjPpk(kontrakx.lls_id)}">&{'kontrak.e_kontrak'}</a></li>
	<li class="active">&{'kontrak.daftar_pembayaran'}</li>
</ol>
	<div class="content">

	#{alert /}
	#{form @lelang.KontrakCtr.hapus(kontrakx.kontrak_id), name:'formBAPembayaran', enctype:"multipart/form-data", method:'POST', class:'form-horizontal'}
		<br/>
		<table id="tblPembayaran" class="table table-condensed" >
     <thead>
        <tr>
        <th>&{'kontrak.termin'}</th>
        <th>&{'kontrak.ba'}</th>
        <th>&{'kontrak.progress_fisik'}</th>
        <th width="10px">&nbsp;</th>
	</thead>
    </tr>
     #{list items:listBap, as:'pes'}
     #{set i : pes_index /}
   	<tr>
          <td>&{'kontrak.termin_ke'}${i}</td>
		  <input type="hidden" name="bapId[${i}]" value="${pes.bap_id}" />
  
          <td><a href="@{lelang.KontrakCtr.viewBap(pes.kontrak.kontrak_id,pes.bap_id)}" class="btn btn-default" >BAP</a></td>
          <td>${pes.progres_fisik} <strong>%</strong></td>
          <td><a href="javascript:void(0)" class="removeBtn"><i class="fa fa-trash-o fa-lg"></i></a></td>
     </tr>
     #{/list}    
    	</table>	
		<br/>
		<button type="button" class="btn btn-primary btn-sm" id="tambahTermin" ><i class="fa fa-plus-circle"></i> &{'kontrak.tbh_termin'}</button>
		<button type="submit" name="simpan" class="btn btn-success" > <i class="fa fa-save"></i> &{'kontrak.btn_simpan'}</button>
		<a href="@{lelang.KontrakCtr.sppbjPpk(kontrakx.lls_id)}"  class="btn btn-default">  &{'kontrak.kembali'}</a>

#{/form}	
	</div>
	
#{set 'custom_script'}
<script type="text/javascript"> 	
   $(document).on('click', '.removeBtn', function(){
     $(this).parent().parent().remove()
  });  
  $("#tambahTermin").click(function(){
     var ind = $('#tblPembayaran tr').length 
     var addTemb =  '<tr><td>Termijn ke-'+ind+'</td>'+
     				'<td><a href="@{lelang.KontrakCtr.viewBap(kontrakx.kontrak_id)}" class="btn btn-default" >BAP</a></td>'+
     				'<td>0 <strong>%</strong></td>'+
                     '<td><a href="javascript:void(0)" class="removeBtn"><i class="fa fa-trash-o fa-lg"></i></a></td></tr>'
  	 $("#tblPembayaran").append(addTemb); 
  })
</script>
#{/set}
 